package net.battlefield;

import java.util.Random;

import net.minecraft.src.IChunkProvider;
import net.minecraft.src.World;
import net.minecraft.src.WorldGenMinable;
import cpw.mods.fml.common.IWorldGenerator;
import cpw.mods.fml.common.registry.GameRegistry;

public class WorldGeneratorSilverOre implements IWorldGenerator
{
	public void generate(Random random, int chunkX, int chunkZ, World world, IChunkProvider chunkGenerator, IChunkProvider chunkProvider)
	{
		generateSurface(world, random, chunkX*16, chunkZ*16);
	}

  	private void generateSurface(World world, Random random, int blockX, int blockZ)
  	{
  		for(int i = 0; i < 30; i++)
  		{
                int randPosX = blockX + random.nextInt(16);
                int randPosY = random.nextInt(128);
                int randPosZ = blockZ + random.nextInt(16);
                (new WorldGenMinable(Battlefield.SilverOre.blockID, 4)).generate(world, random, randPosX, randPosY, randPosZ);
  		}
  	}
  
	private void generateNether(World world, Random random, int blockX, int blockZ)
	{
		
	}
}